pro read_mod,model,r,v,rho,dvdr,temp,lagm,time,dt,ncycle,sf,so,grad,gscat

max=10000
time=fltarr(max)
dt=fltarr(max)
ncycle=intarr(max)

;model=dir+'/vh1.out'
openr,lun,model, /get_lun

j=0
while (not EOF(lun)) do begin

   readf,lun,dum,nbd,aa,bb,cc
;first line 
   ncycle(j)=fix(aa)
   time(j)=bb
   dt(j)=cc
   
   if (j eq 0) then begin
      nb =fix(nbd)
      print,'nb:',nb
      nbdum=1000
;max 1000 printings allowed for now...
      index=intarr(nb)
      r=fltarr(nb,nbdum)
      v=fltarr(nb,nbdum)
      rho=fltarr(nb,nbdum)
      dvdr=fltarr(nb,nbdum)
      temp=fltarr(nb,nbdum)
      lagm=dblarr(nb,nbdum)
      sf=dblarr(nb,nbdum)
      so=dblarr(nb,nbdum)
      grad=dblarr(nb,nbdum)
      gscat=dblarr(nb,nbdum)
   endif

   for i=0,nb-1 do begin 
      readf,lun,format='(i5,3e18.10,e14.6,2e11.3,d18.10,4e15.5)',indd,rd,vd,rhod,dvdrd,dum,tempd,$
            lagmd,sfd,sod,gradd,gscatd
;      readf,lun,format='(i5,3e18.10,e14.6,2e11.3,d18.10)',indd,rd,vd,rhod,dvdrd,dum,tempd,$
;            lagmd
;     format(i5,1p3e18.10,e14.6,2e11.3,e18.10,e11.3)
      index(i)=indd
      r(i,j)=rd
      v(i,j)=vd
      rho(i,j)=rhod
      dvdr(i,j)=dvdrd
      temp(i,j)=tempd
      lagm(i,j)=lagmd
      sf(i,j)=sfd
      so(i,j)=sod
      grad(i,j)=gradd
      gscat(i,j)=gscatd
   endfor
   j=j+1

end
;done reading in data

free_lun, lun
print,'done reading data'

;model=dir+'/out_rhoav'
;model=dir+'/vh1.rhoav'
;readcol,model,rhoav,rhoav2,/silent
;fcl=rhoav2/rhoav^2.
;print,'done reading clumping-factors'


end

