      subroutine gridz(nzones, zmin, zmax, za, dz,dzfac)
c
C Create grid to cover physical size from zmin to zmax
C number of physical grid zones is nzones
C
C za(1) is left boundary location - at zmin
C za(nzones+1) is right boundary location - at zmax
C
      integer nzones
      real zmin, zmax
      real za(nzones), dz(nzones)
C
C LOCALS
C
      real dzfac
      integer n
C
C=======================================================================
C
      za(1) = zmin
      dz(1) = zmax-zmin
      if (nzones.le.1) return
      dzfac = (zmax-zmin)/float(nzones)   !dz=const
c     dzfac = alog(zmax/zmin)/float(nzones) !dz~z
C
      do 1 n = 2, nzones
         dz(n-1) = dzfac                  !dz=const
c        dz(n-1) = dzfac*za(n-1)          !dz~z
         za(n)   = za(n-1) + dz(n-1)
  1   continue
         dz(nzones) = dzfac               !dz=const
c        dz(nzones) = dzfac*za(nzones-1)  !dz~z
C
      return
      end
